> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sinancode.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Seedance Pro 1.5 動画生成

> 火山エンジンの Seedance 1.5 Pro モデルを使用してビデオを生成し、テキストからビデオ、画像からビデオ（最初のフレーム/最初と最後のフレーム）、音声付きビデオ、サンプルモードをサポートします（非同期）

[Volcano Engine](https://www.volcengine.com) の Seedance 1.5 Pro モデルを使用して動画を生成します。複数の生成モードに対応しています。

**主な特徴：**

* **マルチモード生成** - テキストから動画、画像から動画（先頭フレーム/キーフレーム）、リファレンスモードに対応
* **ネイティブ音声生成** - 動画と同期した音声、効果音、BGM を生成（セリフ部分をダブルクォーテーションで囲むと最適化されます）
* **ドラフトモード** - より少ないトークンでプレビュー動画を素早く生成
* **柔軟な再生時間** - 4〜12秒、または `-1` でモデルが自動決定
* **HD解像度** - 480p、720p、1080p 出力に対応


## OpenAPI

````yaml /ja/openapi.yaml POST /generate/vol/seedance-pro-1.5
openapi: 3.0.0
info:
  contact:
    email: support@sinancode.com
    name: API Support
    url: https://sinancode.com/support
  description: AIモデルタスクスケジューリングプラットフォーム API
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
  termsOfService: https://sinancode.com/terms-of-service
  title: TikTomato API
  version: '1.0'
servers:
  - url: https://api.sinancode.com/v1
    description: 本番サーバー
security: []
paths:
  /generate/vol/seedance-pro-1.5:
    post:
      tags:
        - public
      summary: Seedance Pro 1.5 ビデオ生成
      description: >-
        火山エンジンの Seedance 1.5 Pro
        モデルを使用してビデオを生成し、テキストからビデオ、画像からビデオ（最初のフレーム/最初と最後のフレーム）、音声付きビデオ、サンプルモードをサポートします（非同期）
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/vol.CreateSeedancePro15TaskRequest'
        description: タスクパラメータ
        required: true
      responses:
        '200':
          description: 成功
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/dto.CreateTaskResponse'
        '400':
          description: 無効なパラメータ
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/apierror.ErrorResponse'
        '401':
          description: 未認証
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/apierror.ErrorResponse'
        '500':
          description: サーバーエラー
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/apierror.ErrorResponse'
      security:
        - AccessToken: []
components:
  schemas:
    vol.CreateSeedancePro15TaskRequest:
      properties:
        camera_fixed:
          default: false
          description: |-
            カメラを固定するかどうか（オプション、デフォルト false）
            注意：画像参照動画生成モードではこのパラメータはサポートされていません
          example: false
          type: boolean
        draft:
          default: false
          description: |-
            ドラフトモードかどうか（オプション、デフォルト false）
            Seedance 1.5 の特徴：プレビュー動画を高速生成し、消費 token が少ない
            注意：Draft モードでは 480p 解像度を使用する必要があり、最終フレーム返却機能はサポートされていません
          example: false
          type: boolean
        duration:
          default: 5
          description: |-
            動画の長さ（オプション、デフォルト 5 秒）
            範囲: 4-12 秒、または -1 を設定してモデルに長さを自動選択させる
          example: 5
          maximum: 12
          minimum: -1
          type: integer
        first_frame:
          description: |-
            先頭フレーム画像 URL（オプション）
            指定すると、画像参照動画生成-先頭フレームモードになります
          example: https://example.com/first_frame.jpg
          type: string
        generate_audio:
          default: true
          description: |-
            オーディオを生成するかどうか（オプション、デフォルト true）
            Seedance 1.5 の特徴：映像と同期した音声（人声、効果音、背景音楽）を生成
            オーディオ生成効果を最適化するため、会話部分は二重引用符で囲むことを推奨します
          example: true
          type: boolean
        last_frame:
          description: |-
            最終フレーム画像 URL（オプション）
            first_frame と併用する必要があり、画像参照動画生成-先頭・最終フレームモードになります
          example: https://example.com/last_frame.jpg
          type: string
        prompt:
          description: プロンプト（必須、500文字以内を推奨）
          example: 女孩抱着狐狸，女孩睁开眼，温柔地看向镜头，狐狸友善地抱着，镜头缓缓拉出，女孩的头发被风吹动，可以听到风声
          maxLength: 2000
          minLength: 1
          type: string
        ratio:
          default: adaptive
          description: |-
            アスペクト比（オプション）
            テキストからの動画生成デフォルト: adaptive（自動調整）
            画像からの動画生成デフォルト: adaptive（先頭フレーム画像に基づいて自動調整）
            選択可能な値: 16:9, 4:3, 1:1, 3:4, 9:16, 21:9, adaptive
          enum:
            - '16:9'
            - '4:3'
            - '1:1'
            - '3:4'
            - '9:16'
            - '21:9'
            - adaptive
          example: adaptive
          type: string
        resolution:
          default: 720p
          description: |-
            解像度（オプション、デフォルト 720p）
            選択可能な値: 480p, 720p, 1080p
            注意：Draft モードでは 480p のみ使用可能
          enum:
            - 480p
            - 720p
            - 1080p
          example: 720p
          type: string
        watermark:
          default: false
          description: ウォーターマークを追加するかどうか（オプション、デフォルト false）
          example: false
          type: boolean
      required:
        - prompt
      type: object
    dto.CreateTaskResponse:
      properties:
        task_id:
          description: タスクID
          example: 01234567-89ab-cdef-0123-456789abcdef
          type: string
      required:
        - task_id
      type: object
    apierror.ErrorResponse:
      properties:
        error_code:
          description: '機械可読なエラーコード（例: TASK.INVALID_PARAMS）'
          type: string
        message:
          description: ユーザーフレンドリーなエラーメッセージ
          type: string
      type: object
  securitySchemes:
    AccessToken:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: API Tokenを使用して認証を行ってください

````